apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert -f docker-compose.yml
    kompose.version: 1.18.0 ()
  labels:
    io.kompose.service: slot3x3
  name: slot3x3
spec:
  selector:
    matchLabels:
      io.kompose.service: slot3x3
  template:
    metadata:
      labels:
        io.kompose.service: slot3x3
    spec:
      containers:
      - args:
        - ./gameserver
        image: registry.gitlab.com/r99net/deployment-project:slot3x3
        #registry.gitlab.com/gsmanclub/slot:dev-5
        #registry.gitlab.com/gsmanclub/slot:dev
        name: slot3x3
        volumeMounts:
        - mountPath: /gameserver/config/db_pool.properties
          name: config-volume
          subPath: db_pool.properties
        - mountPath: /gameserver/config/hazelcast.properties
          name: config-volume
          subPath: hazelcast.properties
        - mountPath: /gameserver/config/mongo.properties
          name: config-volume
          subPath: mongo.properties
        - mountPath: /gameserver/config/rmq.properties
          name: config-volume
          subPath: rmq.properties
        - mountPath: /gameserver/config/partner.properties
          name: config-volume
          subPath: partner.properties
        - mountPath: /gameserver/config/config_game.properties
          name: config-game-slot
          subPath: config_game_slot.properties
        workingDir: /var/www
      imagePullSecrets:
      - name: regcred
      volumes:
      - configMap:
          defaultMode: 420
          name: config-all
        name: config-volume
      - configMap:
          defaultMode: 420
          name: config-game-slot
        name: config-game-slot
status: {}